> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Subscriptions

> List all Subscriptions.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/subscriptions
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions:
    get:
      tags:
        - Subscription
      summary: List Subscriptions
      description: List all Subscriptions.
      operationId: listSubscriptions
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: architecto
        - name: filter[status]
          in: query
          description: ''
          schema:
            enum:
              - active
              - pending
              - expired
              - draft
              - terminated
              - pending_termination
            type: string
            description: ''
            example: active
          example: active
        - name: filter[name]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: some_name
          example: some_name
        - name: filter[current_period_end]
          in: query
          description: ''
          schema:
            type: string
            description: ''
            example: '2023-10-07T12:16:27+00:00'
          example: '2023-10-07T12:16:27.0000000+00:00'
        - name: include
          in: query
          description: >-
            A comma-separated list of relationships to include. Multiple
            parameters are allowed.
          schema:
            enum:
              - discountCode
              - currentPhase
              - processingRenewalOrder
            type: string
            description: >-
              A comma-separated list of relationships to include. Multiple
              parameters are allowed.
            example: discountCode
          example: discountCode
        - name: sort
          in: query
          description: >-
            A comma-separated list of fields to sort. Multiple allowed. Prefix
            with `-` to sort descending.
          schema:
            enum:
              - created_at
            type: string
            description: >-
              A comma-separated list of fields to sort. Multiple allowed. Prefix
              with `-` to sort descending.
            example: created_at
          example: created_at
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: 5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418
                        name:
                          type: string
                          example: Suscipit dolorum maxime.
                        short_description:
                          type: string
                          example: Eos sapiente soluta et.
                        status:
                          type: string
                          example: draft
                        current_period_start:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        current_period_end:
                          type: string
                          example: '2026-04-03T14:05:32+00:00'
                        previous_period_start:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        previous_period_end:
                          type: string
                          example: '2026-02-03T14:05:32+00:00'
                        started_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        terminated_at:
                          type: string
                          example: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day:
                          type: integer
                          example: 20
                        customer:
                          type: object
                          properties:
                            uuid:
                              type: string
                              example: a13651d5-56e4-45da-b079-913620c95e49
                            auth_id:
                              type: string
                              example: 63797f95-b953-387f-8ae8-e7411dfc60d7
                            name:
                              type: string
                              example: Dr. Edgardo Zieme
                            business_entity_id:
                              type: string
                              example: a13651d5-5612-4214-b925-71d33d0aac0a
                            currency:
                              type: string
                              example: USD
                        total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        sub_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        discount_total:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '0.00'
                            amount_minor:
                              type: integer
                              example: 0
                        current_phase:
                          type: object
                          properties:
                            uuid:
                              type: string
                              example: 2326ee4c-5f2a-3d2b-af46-56b05ea60f96
                            name:
                              type: string
                              example: Aut dicta.
                            short_description:
                              type: string
                              example: Fuga eaque adipisci ea.
                            start_at:
                              type: string
                              example: '2026-03-03T14:05:32+00:00'
                            occurrence:
                              type: string
                              example: month
                            period:
                              type: integer
                              example: 1
                            end_at:
                              type: string
                              example: '2027-03-03T14:05:32+00:00'
                            status:
                              type: string
                              example: pending
                            created_at:
                              type: string
                              example: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination:
                          type: boolean
                          example: true
                        is_in_grace_period:
                          type: boolean
                          example: false
                        expires_at:
                          type: string
                          example: '2026-04-03T14:05:32+00:00'
                    example:
                      - uuid: 5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418
                        name: Suscipit dolorum maxime.
                        short_description: Eos sapiente soluta et.
                        status: draft
                        current_period_start: '2026-03-03T14:05:32+00:00'
                        current_period_end: '2026-04-03T14:05:32+00:00'
                        previous_period_start: '2026-03-03T14:05:32+00:00'
                        previous_period_end: '2026-02-03T14:05:32+00:00'
                        started_at: '2026-03-03T14:05:32+00:00'
                        terminated_at: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day: 20
                        customer:
                          uuid: a13651d5-56e4-45da-b079-913620c95e49
                          auth_id: 63797f95-b953-387f-8ae8-e7411dfc60d7
                          name: Dr. Edgardo Zieme
                          business_entity_id: a13651d5-5612-4214-b925-71d33d0aac0a
                          currency: USD
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        current_phase:
                          uuid: 2326ee4c-5f2a-3d2b-af46-56b05ea60f96
                          name: Aut dicta.
                          short_description: Fuga eaque adipisci ea.
                          start_at: '2026-03-03T14:05:32+00:00'
                          occurrence: month
                          period: 1
                          end_at: '2027-03-03T14:05:32+00:00'
                          status: pending
                          created_at: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination: true
                        is_in_grace_period: false
                        expires_at: '2026-04-03T14:05:32+00:00'
                      - uuid: d1e7b517-8e43-3ef9-ba0e-68f54cb25412
                        name: Error non.
                        short_description: Non cupiditate aperiam ab.
                        status: draft
                        current_period_start: '2026-03-03T14:05:32+00:00'
                        current_period_end: '2026-04-03T14:05:32+00:00'
                        previous_period_start: '2026-03-03T14:05:32+00:00'
                        previous_period_end: '2026-02-03T14:05:32+00:00'
                        started_at: '2026-03-03T14:05:32+00:00'
                        terminated_at: '2026-03-03T14:05:32+00:00'
                        billing_anchor_day: 20
                        customer:
                          uuid: a13651d5-71b7-47aa-a26e-1977167b7bd9
                          auth_id: f90e7e3b-67c0-3391-adbe-cf96cbe49b7f
                          name: Dr. Cora Brown MD
                          business_entity_id: a13651d5-710d-4ae0-bba3-db5e923da57a
                          currency: USD
                        total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        sub_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        discount_total:
                          currency: USD
                          amount: '0.00'
                          amount_minor: 0
                        current_phase:
                          uuid: 91b75be0-e3ca-3734-8518-35acea9d8a3e
                          name: Explicabo sit incidunt.
                          short_description: Laboriosam nihil sint est et.
                          start_at: '2026-03-03T14:05:32+00:00'
                          occurrence: month
                          period: 1
                          end_at: '2027-03-03T14:05:32+00:00'
                          status: pending
                          created_at: '2026-03-03T14:05:32+00:00'
                        has_immediate_termination: true
                        is_in_grace_period: false
                        expires_at: '2026-04-03T14:05:32+00:00'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: 5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418
                      name: Suscipit dolorum maxime.
                      short_description: Eos sapiente soluta et.
                      status: draft
                      current_period_start: '2026-03-03T14:05:32+00:00'
                      current_period_end: '2026-04-03T14:05:32+00:00'
                      previous_period_start: '2026-03-03T14:05:32+00:00'
                      previous_period_end: '2026-02-03T14:05:32+00:00'
                      started_at: '2026-03-03T14:05:32+00:00'
                      terminated_at: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day: 20
                      customer:
                        uuid: a13651d5-56e4-45da-b079-913620c95e49
                        auth_id: 63797f95-b953-387f-8ae8-e7411dfc60d7
                        name: Dr. Edgardo Zieme
                        business_entity_id: a13651d5-5612-4214-b925-71d33d0aac0a
                        currency: USD
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      current_phase:
                        uuid: 2326ee4c-5f2a-3d2b-af46-56b05ea60f96
                        name: Aut dicta.
                        short_description: Fuga eaque adipisci ea.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2027-03-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination: true
                      is_in_grace_period: false
                      expires_at: '2026-04-03T14:05:32+00:00'
                    - uuid: d1e7b517-8e43-3ef9-ba0e-68f54cb25412
                      name: Error non.
                      short_description: Non cupiditate aperiam ab.
                      status: draft
                      current_period_start: '2026-03-03T14:05:32+00:00'
                      current_period_end: '2026-04-03T14:05:32+00:00'
                      previous_period_start: '2026-03-03T14:05:32+00:00'
                      previous_period_end: '2026-02-03T14:05:32+00:00'
                      started_at: '2026-03-03T14:05:32+00:00'
                      terminated_at: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day: 20
                      customer:
                        uuid: a13651d5-71b7-47aa-a26e-1977167b7bd9
                        auth_id: f90e7e3b-67c0-3391-adbe-cf96cbe49b7f
                        name: Dr. Cora Brown MD
                        business_entity_id: a13651d5-710d-4ae0-bba3-db5e923da57a
                        currency: USD
                      total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      sub_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      discount_total:
                        currency: USD
                        amount: '0.00'
                        amount_minor: 0
                      current_phase:
                        uuid: 91b75be0-e3ca-3734-8518-35acea9d8a3e
                        name: Explicabo sit incidunt.
                        short_description: Laboriosam nihil sint est et.
                        start_at: '2026-03-03T14:05:32+00:00'
                        occurrence: month
                        period: 1
                        end_at: '2027-03-03T14:05:32+00:00'
                        status: pending
                        created_at: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination: true
                      is_in_grace_period: false
                      expires_at: '2026-04-03T14:05:32+00:00'
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: 5c4dc27c-a8a9-3eec-82ef-2c73fdbe5418
                    name: Suscipit dolorum maxime.
                    short_description: Eos sapiente soluta et.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                    previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                    started_at: '2026-03-03T14:05:32.0000000+00:00'
                    terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d5-56e4-45da-b079-913620c95e49
                      auth_id: 63797f95-b953-387f-8ae8-e7411dfc60d7
                      name: Dr. Edgardo Zieme
                      business_entity_id: a13651d5-5612-4214-b925-71d33d0aac0a
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: 2326ee4c-5f2a-3d2b-af46-56b05ea60f96
                      name: Aut dicta.
                      short_description: Fuga eaque adipisci ea.
                      start_at: '2026-03-03T14:05:32.0000000+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32.0000000+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32.0000000+00:00'
                  - uuid: d1e7b517-8e43-3ef9-ba0e-68f54cb25412
                    name: Error non.
                    short_description: Non cupiditate aperiam ab.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                    previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                    previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                    started_at: '2026-03-03T14:05:32.0000000+00:00'
                    terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d5-71b7-47aa-a26e-1977167b7bd9
                      auth_id: f90e7e3b-67c0-3391-adbe-cf96cbe49b7f
                      name: Dr. Cora Brown MD
                      business_entity_id: a13651d5-710d-4ae0-bba3-db5e923da57a
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: 91b75be0-e3ca-3734-8518-35acea9d8a3e
                      name: Explicabo sit incidunt.
                      short_description: Laboriosam nihil sint est et.
                      start_at: '2026-03-03T14:05:32.0000000+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32.0000000+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32.0000000+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32.0000000+00:00'
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````